{
  "author": "Flywheel",
  "cite": "",
  "command": "python run.py",
  "config": {
    "debug": {
      "default": false,
      "description": "Log debug messages",
      "type": "boolean"
    },
    "derived metadata": {
      "default": true,
      "description": "When enabled, adds derived metadata under filer.info.header.derived (e.g. ScanCoverage for Dicom CT)",
      "type": "boolean"
    },
    "p15E private tags": {
      "default": false,
      "description": "Import safe private tags as defined in part 15E of the DICOM standard",
      "type": "boolean"
    },
    "siemens CSA": {
      "default": false,
      "description": "When enabled, parses Siemens CSA header (stored in file.info.header.csa). More on info on Siemens CSA header at https://nipy.org/nibabel/dicom/siemens_csa.html.",
      "type": "boolean"
    },
    "tag": {
      "default": "file-metadata-importer",
      "description": "The tag to be added on input file upon run completion.",
      "type": "string"
    }
  },
  "custom": {
    "flywheel": {
      "classification": {
        "function": [
          "Utility"
        ],
        "modality": [
          "Any"
        ],
        "organ": [
          "Any"
        ],
        "species": [
          "Any"
        ],
        "therapeutic_area": [
          "Any"
        ]
      },
      "show-job": true,
      "suite": "Utility"
    },
    "gear-builder": {
      "category": "converter",
      "image": "flywheel/file-metadata-importer:1.5.4"
    }
  },
  "description": "Import file metadata into Flywheel. Metadata is stored under file.info.header. Supports DICOM and DICOM Zip Archives, PTD (Siemens PT format), NIfTI, ParaVision (Bruker format), and PAR/REC (Philips format)",
  "environment": {
    "EDITOR": "micro",
    "EGET_BIN": "/opt/bin",
    "FLYWHEEL": "/flywheel/v0",
    "GPG_KEY": "A035C8C19219BA821ECEA86B64E628F8D684696D",
    "LANG": "C.UTF-8",
    "PATH": "/venv/bin:/opt/bin:/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
    "PWD": "/flywheel/v0",
    "PYTHONPATH": "/venv/lib/python/site-packages",
    "PYTHON_GET_PIP_SHA256": "bc37786ec99618416cc0a0ca32833da447f4d91ab51d2c138dd15b7af21e8e9a",
    "PYTHON_GET_PIP_URL": "https://github.com/pypa/get-pip/raw/def4aec84b261b939137dd1c69eff0aabb4a7bf4/public/get-pip.py",
    "PYTHON_PIP_VERSION": "24.0",
    "PYTHON_SETUPTOOLS_VERSION": "65.5.1",
    "PYTHON_VERSION": "3.11.10",
    "SHLVL": "0",
    "TZ": "UTC",
    "UV_NO_CACHE": "1",
    "VIRTUAL_ENV": "/venv",
    "_": "/bin/printenv"
  },
  "inputs": {
    "api-key": {
      "base": "api-key",
      "read-only": false
    },
    "input-file": {
      "base": "file",
      "description": "Input file.",
      "optional": false
    }
  },
  "label": "File metadata importer",
  "license": "MIT",
  "maintainer": "Flywheel <support@flywheel.io>",
  "name": "file-metadata-importer",
  "output_configuration": {
    "enforce_file_version_match": true
  },
  "source": "https://gitlab.com/flywheel-io/scientific-solutions/gears/file-metadata-importer",
  "url": "https://gitlab.com/flywheel-io/scientific-solutions/gears/file-metadata-importer",
  "version": "1.5.4"
}
